curl --request GET \
--url https://api.olostep.com/v1/scrapes/{scrape_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.olostep.com/v1/scrapes/{scrape_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.olostep.com/v1/scrapes/{scrape_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"object": "<string>",
"created": 123,
"metadata": {},
"url_to_scrape": "<string>",
"result": {
"html_content": "<string>",
"markdown_content": "<string>",
"json_content": "<string>",
"screenshot_hosted_url": "<string>",
"html_hosted_url": "<string>",
"markdown_hosted_url": "<string>",
"links_on_page": [
"<string>"
],
"page_metadata": {
"status_code": 123,
"title": "<string>"
},
"size_exceeded": true
},
"credits_consumed": 123,
"cost_usd": 123
}Scrape Ophalen
Kan worden gebruikt om de respons voor een scrape op te halen.
Autorisaties
Bearer authenticatie header in de vorm Bearer , waar jouw auth token is.
Padparameters
Unieke identificatie voor de scrape die moet worden opgehaald.
Respons
Succesvolle respons met het scrape resultaat.
Scrape ID
Het soort object. "scrape" voor dit endpoint.
Gemaakt epoch
Door de gebruiker gedefinieerde metadata.
De URL die gescraped werd.
Show child attributes
Show child attributes
Aantal credits verbruikt door dit verzoek. Wordt ingevuld nadat de uitvoering is voltooid. Credits zijn de bron van waarheid voor facturering.
Geschatte kosten in USD voor dit verzoek. Wordt ingevuld nadat de uitvoering is voltooid. Berekend op basis van verbruikte credits en je abonnementsprijs — 99% nauwkeurig, maar credits_consumed is de gezaghebbende waarde.
Was deze pagina nuttig?